#ifndef UP_H
#define UP_H
// ========================= Include-Files ====================================
// #include "pch.h"
// ============================================================================
// Copyright: Univ.-Prof. Dr.-Ing. Udo F. Meissner, Erkrath/Darmstadt
// Lehr- und Studienprogramm - kommerzielle Nutzung nicht gestattet. 
// Der Autor uebernimmt keine Haftung fuer Unvollkommenheit und Fehler!
// Version:  1996
// Compiler: C++
// ============= FUNKTION: DATUM UND ZEIT ABFRAGEN ============================
long double P0048(int &jahr,int &monat,int &tag,
                            int &stunde,int &minute,int &sekunde, int zweig=0);
// ---------------------------------------------------------------------------
// PARAMETER:
// ========== 
// zweig (int)= 0 Datum, Uhrzeit und Zeitstempel ermitteln
//            = 1 Datum und Uhrzeit seit Jobanfang liefern (*** NICHT REALISIERT)
//            = 2 Datum und verfgbare Zeit bis Jobende    (*** NICHT REALISIERT)
// ERGEBNIS:
// =========
// P0048 (long double)           = Zeitstempel in Sekunden
//   jahr,  monat,     tag (int) = Datum
// stunde, minute, sekunde (int) = Uhrzeit
// 
// =========== FUNKTION: Rechenzeit ERMITTELN ======================
long double R0048(int& std, int& min, int& sek,
                  long double asek = 0.0L, long double esek = 0.0L);
// ----------------------------------------------------------------------------
// PARAMETER:
// ==========
// azenti, ezenti: Anfangs-/End-Zeitstempel in Sekunden
//
// ERGEBNIS:
// =========
// R0048 (long double): Rechenzeit in Sekunden
// std (int):                         Stunden
// min (int):                         Minuten
// sek (int):                         Sekunden
// ===========================================================================
#endif
